PowerPoint3OLE Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PowerPoint3OLE Class Reference

the main class to read the ole stream in a Microsoft PowerPoint v4 files (MacOs and Windows) More...

`#include <PowerPoint3OLE.hxx>`

## Public Member Functions
| PowerPoint3OLE (MWAWInputStreamPtr input, MWAWFontConverterPtr fontConverter, int fId)
| constructor More...
virtual | ~PowerPoint3OLE ()
| destructor More...
bool | parse ()
void | updateMetaData (librevenge::RVNGPropertyList &metaData) const
| update the meta data, using information find in SummaryInformation More...
void | checkForUnparsedStream ()
| check for unparsed stream More...

## Protected Member Functions
bool | parseCurrentUser (MWAWInputStreamPtr input, std::string const &name)
| try to parse the "Current User" stream More...
bool | parseCurrentId (MWAWInputStreamPtr input, std::string const &name)
| try to parse the "Current Id" stream More...

## Protected Attributes
shared_ptr< PowerPoint3OLEInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read the ole stream in a Microsoft PowerPoint v4 files (MacOs and Windows)

## Constructor & Destructor Documentation

## § PowerPoint3OLE()

PowerPoint3OLE::PowerPoint3OLE | ( | MWAWInputStreamPtr | input,
|  | MWAWFontConverterPtr | fontConverter,
|  | int | fId
| ) |  |

constructor

## § ~PowerPoint3OLE()

PowerPoint3OLE::~PowerPoint3OLE | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## § checkForUnparsedStream()

void PowerPoint3OLE::checkForUnparsedStream | ( |  | ) |

check for unparsed stream

## § parse()

bool PowerPoint3OLE::parse | ( |  | ) |

## § parseCurrentId()

bool PowerPoint3OLE::parseCurrentId | ( | MWAWInputStreamPtr | input,
|  | std::string const & | name
| ) |  |
| protected

try to parse the "Current Id" stream

Referenced by parse().

## § parseCurrentUser()

bool PowerPoint3OLE::parseCurrentUser | ( | MWAWInputStreamPtr | input,
|  | std::string const & | name
| ) |  |
| protected

try to parse the "Current User" stream

Referenced by parse().

## § updateMetaData()

void PowerPoint3OLE::updateMetaData | ( | librevenge::RVNGPropertyList & | metaData | ) | const

update the meta data, using information find in SummaryInformation

## Member Data Documentation

## § m_state

shared_ptr<PowerPoint3OLEInternal::State> PowerPoint3OLE::m_state
| protected

the state

Referenced by checkForUnparsedStream(), parse(), PowerPoint3OLE(), and updateMetaData().

The documentation for this class was generated from the following files:

- PowerPoint3OLE.hxx
- PowerPoint3OLE.cxx